<?php
/**
 * File for class ChronopostStructDestinatairesDpd
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructDestinatairesDpd originally named destinatairesDpd
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructDestinatairesDpd extends ChronopostWsdlClass
{
    /**
     * The destinataireDpd
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var ChronopostStructDestinataireDpd
     */
    public $destinataireDpd;
    /**
     * Constructor method for destinatairesDpd
     * @see parent::__construct()
     * @param ChronopostStructDestinataireDpd $_destinataireDpd
     * @return ChronopostStructDestinatairesDpd
     */
    public function __construct($_destinataireDpd = NULL)
    {
        parent::__construct(array('destinataireDpd'=>$_destinataireDpd),false);
    }
    /**
     * Get destinataireDpd value
     * @return ChronopostStructDestinataireDpd|null
     */
    public function getDestinataireDpd()
    {
        return $this->destinataireDpd;
    }
    /**
     * Set destinataireDpd value
     * @param ChronopostStructDestinataireDpd $_destinataireDpd the destinataireDpd
     * @return ChronopostStructDestinataireDpd
     */
    public function setDestinataireDpd($_destinataireDpd)
    {
        return ($this->destinataireDpd = $_destinataireDpd);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructDestinatairesDpd
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
