<?php
/**
 * File for class ChronopostStructDonneurDOrdre
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructDonneurDOrdre originally named donneurDOrdre
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructDonneurDOrdre extends ChronopostWsdlClass
{
    /**
     * The autreTelephone
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $autreTelephone;
    /**
     * The batiment
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $batiment;
    /**
     * The codeCivilite
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeCivilite;
    /**
     * The codeNaf
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeNaf;
    /**
     * The codePays
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePays;
    /**
     * The codePostal
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePostal;
    /**
     * The EMail
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $EMail;
    /**
     * The fax
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $fax;
    /**
     * The lieuDit
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $lieuDit;
    /**
     * The nom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $nom;
    /**
     * The prenom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $prenom;
    /**
     * The raisonSociale
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $raisonSociale;
    /**
     * The service
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $service;
    /**
     * The telephone
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $telephone;
    /**
     * The ville
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ville;
    /**
     * The voie
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $voie;
    /**
     * Constructor method for donneurDOrdre
     * @see parent::__construct()
     * @param string $_autreTelephone
     * @param string $_batiment
     * @param string $_codeCivilite
     * @param string $_codeNaf
     * @param string $_codePays
     * @param string $_codePostal
     * @param string $_eMail
     * @param string $_fax
     * @param string $_lieuDit
     * @param string $_nom
     * @param string $_prenom
     * @param string $_raisonSociale
     * @param string $_service
     * @param string $_telephone
     * @param string $_ville
     * @param string $_voie
     * @return ChronopostStructDonneurDOrdre
     */
    public function __construct($_autreTelephone = NULL,$_batiment = NULL,$_codeCivilite = NULL,$_codeNaf = NULL,$_codePays = NULL,$_codePostal = NULL,$_eMail = NULL,$_fax = NULL,$_lieuDit = NULL,$_nom = NULL,$_prenom = NULL,$_raisonSociale = NULL,$_service = NULL,$_telephone = NULL,$_ville = NULL,$_voie = NULL)
    {
        parent::__construct(array('autreTelephone'=>$_autreTelephone,'batiment'=>$_batiment,'codeCivilite'=>$_codeCivilite,'codeNaf'=>$_codeNaf,'codePays'=>$_codePays,'codePostal'=>$_codePostal,'EMail'=>$_eMail,'fax'=>$_fax,'lieuDit'=>$_lieuDit,'nom'=>$_nom,'prenom'=>$_prenom,'raisonSociale'=>$_raisonSociale,'service'=>$_service,'telephone'=>$_telephone,'ville'=>$_ville,'voie'=>$_voie),false);
    }
    /**
     * Get autreTelephone value
     * @return string|null
     */
    public function getAutreTelephone()
    {
        return $this->autreTelephone;
    }
    /**
     * Set autreTelephone value
     * @param string $_autreTelephone the autreTelephone
     * @return string
     */
    public function setAutreTelephone($_autreTelephone)
    {
        return ($this->autreTelephone = $_autreTelephone);
    }
    /**
     * Get batiment value
     * @return string|null
     */
    public function getBatiment()
    {
        return $this->batiment;
    }
    /**
     * Set batiment value
     * @param string $_batiment the batiment
     * @return string
     */
    public function setBatiment($_batiment)
    {
        return ($this->batiment = $_batiment);
    }
    /**
     * Get codeCivilite value
     * @return string|null
     */
    public function getCodeCivilite()
    {
        return $this->codeCivilite;
    }
    /**
     * Set codeCivilite value
     * @param string $_codeCivilite the codeCivilite
     * @return string
     */
    public function setCodeCivilite($_codeCivilite)
    {
        return ($this->codeCivilite = $_codeCivilite);
    }
    /**
     * Get codeNaf value
     * @return string|null
     */
    public function getCodeNaf()
    {
        return $this->codeNaf;
    }
    /**
     * Set codeNaf value
     * @param string $_codeNaf the codeNaf
     * @return string
     */
    public function setCodeNaf($_codeNaf)
    {
        return ($this->codeNaf = $_codeNaf);
    }
    /**
     * Get codePays value
     * @return string|null
     */
    public function getCodePays()
    {
        return $this->codePays;
    }
    /**
     * Set codePays value
     * @param string $_codePays the codePays
     * @return string
     */
    public function setCodePays($_codePays)
    {
        return ($this->codePays = $_codePays);
    }
    /**
     * Get codePostal value
     * @return string|null
     */
    public function getCodePostal()
    {
        return $this->codePostal;
    }
    /**
     * Set codePostal value
     * @param string $_codePostal the codePostal
     * @return string
     */
    public function setCodePostal($_codePostal)
    {
        return ($this->codePostal = $_codePostal);
    }
    /**
     * Get EMail value
     * @return string|null
     */
    public function getEMail()
    {
        return $this->EMail;
    }
    /**
     * Set EMail value
     * @param string $_eMail the EMail
     * @return string
     */
    public function setEMail($_eMail)
    {
        return ($this->EMail = $_eMail);
    }
    /**
     * Get fax value
     * @return string|null
     */
    public function getFax()
    {
        return $this->fax;
    }
    /**
     * Set fax value
     * @param string $_fax the fax
     * @return string
     */
    public function setFax($_fax)
    {
        return ($this->fax = $_fax);
    }
    /**
     * Get lieuDit value
     * @return string|null
     */
    public function getLieuDit()
    {
        return $this->lieuDit;
    }
    /**
     * Set lieuDit value
     * @param string $_lieuDit the lieuDit
     * @return string
     */
    public function setLieuDit($_lieuDit)
    {
        return ($this->lieuDit = $_lieuDit);
    }
    /**
     * Get nom value
     * @return string|null
     */
    public function getNom()
    {
        return $this->nom;
    }
    /**
     * Set nom value
     * @param string $_nom the nom
     * @return string
     */
    public function setNom($_nom)
    {
        return ($this->nom = $_nom);
    }
    /**
     * Get prenom value
     * @return string|null
     */
    public function getPrenom()
    {
        return $this->prenom;
    }
    /**
     * Set prenom value
     * @param string $_prenom the prenom
     * @return string
     */
    public function setPrenom($_prenom)
    {
        return ($this->prenom = $_prenom);
    }
    /**
     * Get raisonSociale value
     * @return string|null
     */
    public function getRaisonSociale()
    {
        return $this->raisonSociale;
    }
    /**
     * Set raisonSociale value
     * @param string $_raisonSociale the raisonSociale
     * @return string
     */
    public function setRaisonSociale($_raisonSociale)
    {
        return ($this->raisonSociale = $_raisonSociale);
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $_service the service
     * @return string
     */
    public function setService($_service)
    {
        return ($this->service = $_service);
    }
    /**
     * Get telephone value
     * @return string|null
     */
    public function getTelephone()
    {
        return $this->telephone;
    }
    /**
     * Set telephone value
     * @param string $_telephone the telephone
     * @return string
     */
    public function setTelephone($_telephone)
    {
        return ($this->telephone = $_telephone);
    }
    /**
     * Get ville value
     * @return string|null
     */
    public function getVille()
    {
        return $this->ville;
    }
    /**
     * Set ville value
     * @param string $_ville the ville
     * @return string
     */
    public function setVille($_ville)
    {
        return ($this->ville = $_ville);
    }
    /**
     * Get voie value
     * @return string|null
     */
    public function getVoie()
    {
        return $this->voie;
    }
    /**
     * Set voie value
     * @param string $_voie the voie
     * @return string
     */
    public function setVoie($_voie)
    {
        return ($this->voie = $_voie);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructDonneurDOrdre
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
