<?php
/**
 * File for class ChronopostStructEsdContraintesAgence
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructEsdContraintesAgence originally named esdContraintesAgence
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructEsdContraintesAgence extends ChronopostWsdlClass
{
    /**
     * The battement
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $battement;
    /**
     * The battementEnHeure
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $battementEnHeure;
    /**
     * The codeAgence
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeAgence;
    /**
     * The codePays
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePays;
    /**
     * The codePostal
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePostal;
    /**
     * The hla
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $hla;
    /**
     * The hlp
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $hlp;
    /**
     * The hppt
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $hppt;
    /**
     * The nomAgence
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $nomAgence;
    /**
     * The raisonNonActivite
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $raisonNonActivite;
    /**
     * The ville
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ville;
    /**
     * The zoneA
     * @var boolean
     */
    public $zoneA;
    /**
     * Constructor method for esdContraintesAgence
     * @see parent::__construct()
     * @param int $_battement
     * @param string $_battementEnHeure
     * @param string $_codeAgence
     * @param string $_codePays
     * @param string $_codePostal
     * @param string $_hla
     * @param string $_hlp
     * @param string $_hppt
     * @param string $_nomAgence
     * @param string $_raisonNonActivite
     * @param string $_ville
     * @param boolean $_zoneA
     * @return ChronopostStructEsdContraintesAgence
     */
    public function __construct($_battement = NULL,$_battementEnHeure = NULL,$_codeAgence = NULL,$_codePays = NULL,$_codePostal = NULL,$_hla = NULL,$_hlp = NULL,$_hppt = NULL,$_nomAgence = NULL,$_raisonNonActivite = NULL,$_ville = NULL,$_zoneA = NULL)
    {
        parent::__construct(array('battement'=>$_battement,'battementEnHeure'=>$_battementEnHeure,'codeAgence'=>$_codeAgence,'codePays'=>$_codePays,'codePostal'=>$_codePostal,'hla'=>$_hla,'hlp'=>$_hlp,'hppt'=>$_hppt,'nomAgence'=>$_nomAgence,'raisonNonActivite'=>$_raisonNonActivite,'ville'=>$_ville,'zoneA'=>$_zoneA),false);
    }
    /**
     * Get battement value
     * @return int|null
     */
    public function getBattement()
    {
        return $this->battement;
    }
    /**
     * Set battement value
     * @param int $_battement the battement
     * @return int
     */
    public function setBattement($_battement)
    {
        return ($this->battement = $_battement);
    }
    /**
     * Get battementEnHeure value
     * @return string|null
     */
    public function getBattementEnHeure()
    {
        return $this->battementEnHeure;
    }
    /**
     * Set battementEnHeure value
     * @param string $_battementEnHeure the battementEnHeure
     * @return string
     */
    public function setBattementEnHeure($_battementEnHeure)
    {
        return ($this->battementEnHeure = $_battementEnHeure);
    }
    /**
     * Get codeAgence value
     * @return string|null
     */
    public function getCodeAgence()
    {
        return $this->codeAgence;
    }
    /**
     * Set codeAgence value
     * @param string $_codeAgence the codeAgence
     * @return string
     */
    public function setCodeAgence($_codeAgence)
    {
        return ($this->codeAgence = $_codeAgence);
    }
    /**
     * Get codePays value
     * @return string|null
     */
    public function getCodePays()
    {
        return $this->codePays;
    }
    /**
     * Set codePays value
     * @param string $_codePays the codePays
     * @return string
     */
    public function setCodePays($_codePays)
    {
        return ($this->codePays = $_codePays);
    }
    /**
     * Get codePostal value
     * @return string|null
     */
    public function getCodePostal()
    {
        return $this->codePostal;
    }
    /**
     * Set codePostal value
     * @param string $_codePostal the codePostal
     * @return string
     */
    public function setCodePostal($_codePostal)
    {
        return ($this->codePostal = $_codePostal);
    }
    /**
     * Get hla value
     * @return string|null
     */
    public function getHla()
    {
        return $this->hla;
    }
    /**
     * Set hla value
     * @param string $_hla the hla
     * @return string
     */
    public function setHla($_hla)
    {
        return ($this->hla = $_hla);
    }
    /**
     * Get hlp value
     * @return string|null
     */
    public function getHlp()
    {
        return $this->hlp;
    }
    /**
     * Set hlp value
     * @param string $_hlp the hlp
     * @return string
     */
    public function setHlp($_hlp)
    {
        return ($this->hlp = $_hlp);
    }
    /**
     * Get hppt value
     * @return string|null
     */
    public function getHppt()
    {
        return $this->hppt;
    }
    /**
     * Set hppt value
     * @param string $_hppt the hppt
     * @return string
     */
    public function setHppt($_hppt)
    {
        return ($this->hppt = $_hppt);
    }
    /**
     * Get nomAgence value
     * @return string|null
     */
    public function getNomAgence()
    {
        return $this->nomAgence;
    }
    /**
     * Set nomAgence value
     * @param string $_nomAgence the nomAgence
     * @return string
     */
    public function setNomAgence($_nomAgence)
    {
        return ($this->nomAgence = $_nomAgence);
    }
    /**
     * Get raisonNonActivite value
     * @return string|null
     */
    public function getRaisonNonActivite()
    {
        return $this->raisonNonActivite;
    }
    /**
     * Set raisonNonActivite value
     * @param string $_raisonNonActivite the raisonNonActivite
     * @return string
     */
    public function setRaisonNonActivite($_raisonNonActivite)
    {
        return ($this->raisonNonActivite = $_raisonNonActivite);
    }
    /**
     * Get ville value
     * @return string|null
     */
    public function getVille()
    {
        return $this->ville;
    }
    /**
     * Set ville value
     * @param string $_ville the ville
     * @return string
     */
    public function setVille($_ville)
    {
        return ($this->ville = $_ville);
    }
    /**
     * Get zoneA value
     * @return boolean|null
     */
    public function getZoneA()
    {
        return $this->zoneA;
    }
    /**
     * Set zoneA value
     * @param boolean $_zoneA the zoneA
     * @return boolean
     */
    public function setZoneA($_zoneA)
    {
        return ($this->zoneA = $_zoneA);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructEsdContraintesAgence
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
