<?php
/**
 * File for class ChronopostStructGetReservedSkybillWithTypeAndModeByReservation
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructGetReservedSkybillWithTypeAndModeByReservation originally named getReservedSkybillWithTypeAndModeByReservation
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructGetReservedSkybillWithTypeAndModeByReservation extends ChronopostWsdlClass
{
    /**
     * The reservationNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $reservationNumber;
    /**
     * The mode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $mode;
    /**
     * Constructor method for getReservedSkybillWithTypeAndModeByReservation
     * @see parent::__construct()
     * @param string $_reservationNumber
     * @param string $_mode
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeByReservation
     */
    public function __construct($_reservationNumber = NULL,$_mode = NULL)
    {
        parent::__construct(array('reservationNumber'=>$_reservationNumber,'mode'=>$_mode),false);
    }
    /**
     * Get reservationNumber value
     * @return string|null
     */
    public function getReservationNumber()
    {
        return $this->reservationNumber;
    }
    /**
     * Set reservationNumber value
     * @param string $_reservationNumber the reservationNumber
     * @return string
     */
    public function setReservationNumber($_reservationNumber)
    {
        return ($this->reservationNumber = $_reservationNumber);
    }
    /**
     * Get mode value
     * @return string|null
     */
    public function getMode()
    {
        return $this->mode;
    }
    /**
     * Set mode value
     * @param string $_mode the mode
     * @return string
     */
    public function setMode($_mode)
    {
        return ($this->mode = $_mode);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeByReservation
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
