<?php
/**
 * File for class ChronopostStructInfoDouanieres
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructInfoDouanieres originally named infoDouanieres
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructInfoDouanieres extends ChronopostWsdlClass
{
    /**
     * The devise
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $devise;
    /**
     * The montant
     * @var float
     */
    public $montant;
    /**
     * The type
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $type;
    /**
     * Constructor method for infoDouanieres
     * @see parent::__construct()
     * @param string $_devise
     * @param float $_montant
     * @param string $_type
     * @return ChronopostStructInfoDouanieres
     */
    public function __construct($_devise = NULL,$_montant = NULL,$_type = NULL)
    {
        parent::__construct(array('devise'=>$_devise,'montant'=>$_montant,'type'=>$_type),false);
    }
    /**
     * Get devise value
     * @return string|null
     */
    public function getDevise()
    {
        return $this->devise;
    }
    /**
     * Set devise value
     * @param string $_devise the devise
     * @return string
     */
    public function setDevise($_devise)
    {
        return ($this->devise = $_devise);
    }
    /**
     * Get montant value
     * @return float|null
     */
    public function getMontant()
    {
        return $this->montant;
    }
    /**
     * Set montant value
     * @param float $_montant the montant
     * @return float
     */
    public function setMontant($_montant)
    {
        return ($this->montant = $_montant);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $_type the type
     * @return string
     */
    public function setType($_type)
    {
        return ($this->type = $_type);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructInfoDouanieres
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
