<?php
/**
 * File for class ChronopostStructInfoEnlevement
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructInfoEnlevement originally named infoEnlevement
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructInfoEnlevement extends ChronopostWsdlClass
{
    /**
     * The codeBu
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeBu;
    /**
     * The codeDepot
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeDepot;
    /**
     * The codePostal
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePostal;
    /**
     * The dateCreation
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $dateCreation;
    /**
     * The datePassage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $datePassage;
    /**
     * The idEnlevement
     * @var int
     */
    public $idEnlevement;
    /**
     * The numeroUniqueESD
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $numeroUniqueESD;
    /**
     * The refDestinataire
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $refDestinataire;
    /**
     * The refEsdClient
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $refEsdClient;
    /**
     * The ville
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ville;
    /**
     * Constructor method for infoEnlevement
     * @see parent::__construct()
     * @param string $_codeBu
     * @param string $_codeDepot
     * @param string $_codePostal
     * @param dateTime $_dateCreation
     * @param dateTime $_datePassage
     * @param int $_idEnlevement
     * @param string $_numeroUniqueESD
     * @param string $_refDestinataire
     * @param string $_refEsdClient
     * @param string $_ville
     * @return ChronopostStructInfoEnlevement
     */
    public function __construct($_codeBu = NULL,$_codeDepot = NULL,$_codePostal = NULL,$_dateCreation = NULL,$_datePassage = NULL,$_idEnlevement = NULL,$_numeroUniqueESD = NULL,$_refDestinataire = NULL,$_refEsdClient = NULL,$_ville = NULL)
    {
        parent::__construct(array('codeBu'=>$_codeBu,'codeDepot'=>$_codeDepot,'codePostal'=>$_codePostal,'dateCreation'=>$_dateCreation,'datePassage'=>$_datePassage,'idEnlevement'=>$_idEnlevement,'numeroUniqueESD'=>$_numeroUniqueESD,'refDestinataire'=>$_refDestinataire,'refEsdClient'=>$_refEsdClient,'ville'=>$_ville),false);
    }
    /**
     * Get codeBu value
     * @return string|null
     */
    public function getCodeBu()
    {
        return $this->codeBu;
    }
    /**
     * Set codeBu value
     * @param string $_codeBu the codeBu
     * @return string
     */
    public function setCodeBu($_codeBu)
    {
        return ($this->codeBu = $_codeBu);
    }
    /**
     * Get codeDepot value
     * @return string|null
     */
    public function getCodeDepot()
    {
        return $this->codeDepot;
    }
    /**
     * Set codeDepot value
     * @param string $_codeDepot the codeDepot
     * @return string
     */
    public function setCodeDepot($_codeDepot)
    {
        return ($this->codeDepot = $_codeDepot);
    }
    /**
     * Get codePostal value
     * @return string|null
     */
    public function getCodePostal()
    {
        return $this->codePostal;
    }
    /**
     * Set codePostal value
     * @param string $_codePostal the codePostal
     * @return string
     */
    public function setCodePostal($_codePostal)
    {
        return ($this->codePostal = $_codePostal);
    }
    /**
     * Get dateCreation value
     * @return dateTime|null
     */
    public function getDateCreation()
    {
        return $this->dateCreation;
    }
    /**
     * Set dateCreation value
     * @param dateTime $_dateCreation the dateCreation
     * @return dateTime
     */
    public function setDateCreation($_dateCreation)
    {
        return ($this->dateCreation = $_dateCreation);
    }
    /**
     * Get datePassage value
     * @return dateTime|null
     */
    public function getDatePassage()
    {
        return $this->datePassage;
    }
    /**
     * Set datePassage value
     * @param dateTime $_datePassage the datePassage
     * @return dateTime
     */
    public function setDatePassage($_datePassage)
    {
        return ($this->datePassage = $_datePassage);
    }
    /**
     * Get idEnlevement value
     * @return int|null
     */
    public function getIdEnlevement()
    {
        return $this->idEnlevement;
    }
    /**
     * Set idEnlevement value
     * @param int $_idEnlevement the idEnlevement
     * @return int
     */
    public function setIdEnlevement($_idEnlevement)
    {
        return ($this->idEnlevement = $_idEnlevement);
    }
    /**
     * Get numeroUniqueESD value
     * @return string|null
     */
    public function getNumeroUniqueESD()
    {
        return $this->numeroUniqueESD;
    }
    /**
     * Set numeroUniqueESD value
     * @param string $_numeroUniqueESD the numeroUniqueESD
     * @return string
     */
    public function setNumeroUniqueESD($_numeroUniqueESD)
    {
        return ($this->numeroUniqueESD = $_numeroUniqueESD);
    }
    /**
     * Get refDestinataire value
     * @return string|null
     */
    public function getRefDestinataire()
    {
        return $this->refDestinataire;
    }
    /**
     * Set refDestinataire value
     * @param string $_refDestinataire the refDestinataire
     * @return string
     */
    public function setRefDestinataire($_refDestinataire)
    {
        return ($this->refDestinataire = $_refDestinataire);
    }
    /**
     * Get refEsdClient value
     * @return string|null
     */
    public function getRefEsdClient()
    {
        return $this->refEsdClient;
    }
    /**
     * Set refEsdClient value
     * @param string $_refEsdClient the refEsdClient
     * @return string
     */
    public function setRefEsdClient($_refEsdClient)
    {
        return ($this->refEsdClient = $_refEsdClient);
    }
    /**
     * Get ville value
     * @return string|null
     */
    public function getVille()
    {
        return $this->ville;
    }
    /**
     * Set ville value
     * @param string $_ville the ville
     * @return string
     */
    public function setVille($_ville)
    {
        return ($this->ville = $_ville);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructInfoEnlevement
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
