<?php
/**
 * File for class ChronopostStructParticularites
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructParticularites originally named particularites
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructParticularites extends ChronopostWsdlClass
{
    /**
     * The hauteur
     * @var float
     */
    public $hauteur;
    /**
     * The instructionsParticulieres
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $instructionsParticulieres;
    /**
     * The largeur
     * @var float
     */
    public $largeur;
    /**
     * The longueur
     * @var float
     */
    public $longueur;
    /**
     * The nombreEnvois
     * @var int
     */
    public $nombreEnvois;
    /**
     * The poids
     * @var float
     */
    public $poids;
    /**
     * Constructor method for particularites
     * @see parent::__construct()
     * @param float $_hauteur
     * @param string $_instructionsParticulieres
     * @param float $_largeur
     * @param float $_longueur
     * @param int $_nombreEnvois
     * @param float $_poids
     * @return ChronopostStructParticularites
     */
    public function __construct($_hauteur = NULL,$_instructionsParticulieres = NULL,$_largeur = NULL,$_longueur = NULL,$_nombreEnvois = NULL,$_poids = NULL)
    {
        parent::__construct(array('hauteur'=>$_hauteur,'instructionsParticulieres'=>$_instructionsParticulieres,'largeur'=>$_largeur,'longueur'=>$_longueur,'nombreEnvois'=>$_nombreEnvois,'poids'=>$_poids),false);
    }
    /**
     * Get hauteur value
     * @return float|null
     */
    public function getHauteur()
    {
        return $this->hauteur;
    }
    /**
     * Set hauteur value
     * @param float $_hauteur the hauteur
     * @return float
     */
    public function setHauteur($_hauteur)
    {
        return ($this->hauteur = $_hauteur);
    }
    /**
     * Get instructionsParticulieres value
     * @return string|null
     */
    public function getInstructionsParticulieres()
    {
        return $this->instructionsParticulieres;
    }
    /**
     * Set instructionsParticulieres value
     * @param string $_instructionsParticulieres the instructionsParticulieres
     * @return string
     */
    public function setInstructionsParticulieres($_instructionsParticulieres)
    {
        return ($this->instructionsParticulieres = $_instructionsParticulieres);
    }
    /**
     * Get largeur value
     * @return float|null
     */
    public function getLargeur()
    {
        return $this->largeur;
    }
    /**
     * Set largeur value
     * @param float $_largeur the largeur
     * @return float
     */
    public function setLargeur($_largeur)
    {
        return ($this->largeur = $_largeur);
    }
    /**
     * Get longueur value
     * @return float|null
     */
    public function getLongueur()
    {
        return $this->longueur;
    }
    /**
     * Set longueur value
     * @param float $_longueur the longueur
     * @return float
     */
    public function setLongueur($_longueur)
    {
        return ($this->longueur = $_longueur);
    }
    /**
     * Get nombreEnvois value
     * @return int|null
     */
    public function getNombreEnvois()
    {
        return $this->nombreEnvois;
    }
    /**
     * Set nombreEnvois value
     * @param int $_nombreEnvois the nombreEnvois
     * @return int
     */
    public function setNombreEnvois($_nombreEnvois)
    {
        return ($this->nombreEnvois = $_nombreEnvois);
    }
    /**
     * Get poids value
     * @return float|null
     */
    public function getPoids()
    {
        return $this->poids;
    }
    /**
     * Set poids value
     * @param float $_poids the poids
     * @return float
     */
    public function setPoids($_poids)
    {
        return ($this->poids = $_poids);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructParticularites
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
