<?php
/**
 * File for class ChronopostStructParticularitesEsd
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructParticularitesEsd originally named particularitesEsd
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructParticularitesEsd extends ChronopostWsdlClass
{
    /**
     * The etudeDeFaisabilite
     * @var boolean
     */
    public $etudeDeFaisabilite;
    /**
     * The grosVolume
     * @var boolean
     */
    public $grosVolume;
    /**
     * The hauteur
     * @var int
     */
    public $hauteur;
    /**
     * The instructionsParticulieres
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $instructionsParticulieres;
    /**
     * The largeur
     * @var int
     */
    public $largeur;
    /**
     * The listeColisAnnonces
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $listeColisAnnonces;
    /**
     * The longueur
     * @var int
     */
    public $longueur;
    /**
     * The nombreEnvois
     * @var int
     */
    public $nombreEnvois;
    /**
     * The poids
     * @var float
     */
    public $poids;
    /**
     * The volume
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $volume;
    /**
     * Constructor method for particularitesEsd
     * @see parent::__construct()
     * @param boolean $_etudeDeFaisabilite
     * @param boolean $_grosVolume
     * @param int $_hauteur
     * @param string $_instructionsParticulieres
     * @param int $_largeur
     * @param string $_listeColisAnnonces
     * @param int $_longueur
     * @param int $_nombreEnvois
     * @param float $_poids
     * @param string $_volume
     * @return ChronopostStructParticularitesEsd
     */
    public function __construct($_etudeDeFaisabilite = NULL,$_grosVolume = NULL,$_hauteur = NULL,$_instructionsParticulieres = NULL,$_largeur = NULL,$_listeColisAnnonces = NULL,$_longueur = NULL,$_nombreEnvois = NULL,$_poids = NULL,$_volume = NULL)
    {
        parent::__construct(array('etudeDeFaisabilite'=>$_etudeDeFaisabilite,'grosVolume'=>$_grosVolume,'hauteur'=>$_hauteur,'instructionsParticulieres'=>$_instructionsParticulieres,'largeur'=>$_largeur,'listeColisAnnonces'=>$_listeColisAnnonces,'longueur'=>$_longueur,'nombreEnvois'=>$_nombreEnvois,'poids'=>$_poids,'volume'=>$_volume),false);
    }
    /**
     * Get etudeDeFaisabilite value
     * @return boolean|null
     */
    public function getEtudeDeFaisabilite()
    {
        return $this->etudeDeFaisabilite;
    }
    /**
     * Set etudeDeFaisabilite value
     * @param boolean $_etudeDeFaisabilite the etudeDeFaisabilite
     * @return boolean
     */
    public function setEtudeDeFaisabilite($_etudeDeFaisabilite)
    {
        return ($this->etudeDeFaisabilite = $_etudeDeFaisabilite);
    }
    /**
     * Get grosVolume value
     * @return boolean|null
     */
    public function getGrosVolume()
    {
        return $this->grosVolume;
    }
    /**
     * Set grosVolume value
     * @param boolean $_grosVolume the grosVolume
     * @return boolean
     */
    public function setGrosVolume($_grosVolume)
    {
        return ($this->grosVolume = $_grosVolume);
    }
    /**
     * Get hauteur value
     * @return int|null
     */
    public function getHauteur()
    {
        return $this->hauteur;
    }
    /**
     * Set hauteur value
     * @param int $_hauteur the hauteur
     * @return int
     */
    public function setHauteur($_hauteur)
    {
        return ($this->hauteur = $_hauteur);
    }
    /**
     * Get instructionsParticulieres value
     * @return string|null
     */
    public function getInstructionsParticulieres()
    {
        return $this->instructionsParticulieres;
    }
    /**
     * Set instructionsParticulieres value
     * @param string $_instructionsParticulieres the instructionsParticulieres
     * @return string
     */
    public function setInstructionsParticulieres($_instructionsParticulieres)
    {
        return ($this->instructionsParticulieres = $_instructionsParticulieres);
    }
    /**
     * Get largeur value
     * @return int|null
     */
    public function getLargeur()
    {
        return $this->largeur;
    }
    /**
     * Set largeur value
     * @param int $_largeur the largeur
     * @return int
     */
    public function setLargeur($_largeur)
    {
        return ($this->largeur = $_largeur);
    }
    /**
     * Get listeColisAnnonces value
     * @return string|null
     */
    public function getListeColisAnnonces()
    {
        return $this->listeColisAnnonces;
    }
    /**
     * Set listeColisAnnonces value
     * @param string $_listeColisAnnonces the listeColisAnnonces
     * @return string
     */
    public function setListeColisAnnonces($_listeColisAnnonces)
    {
        return ($this->listeColisAnnonces = $_listeColisAnnonces);
    }
    /**
     * Get longueur value
     * @return int|null
     */
    public function getLongueur()
    {
        return $this->longueur;
    }
    /**
     * Set longueur value
     * @param int $_longueur the longueur
     * @return int
     */
    public function setLongueur($_longueur)
    {
        return ($this->longueur = $_longueur);
    }
    /**
     * Get nombreEnvois value
     * @return int|null
     */
    public function getNombreEnvois()
    {
        return $this->nombreEnvois;
    }
    /**
     * Set nombreEnvois value
     * @param int $_nombreEnvois the nombreEnvois
     * @return int
     */
    public function setNombreEnvois($_nombreEnvois)
    {
        return ($this->nombreEnvois = $_nombreEnvois);
    }
    /**
     * Get poids value
     * @return float|null
     */
    public function getPoids()
    {
        return $this->poids;
    }
    /**
     * Set poids value
     * @param float $_poids the poids
     * @return float
     */
    public function setPoids($_poids)
    {
        return ($this->poids = $_poids);
    }
    /**
     * Get volume value
     * @return string|null
     */
    public function getVolume()
    {
        return $this->volume;
    }
    /**
     * Set volume value
     * @param string $_volume the volume
     * @return string
     */
    public function setVolume($_volume)
    {
        return ($this->volume = $_volume);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructParticularitesEsd
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
