<?php
/**
 * File for class ChronopostServiceCreer
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostServiceCreer originally named Creer
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostServiceCreer extends ChronopostWsdlClass
{
    /**
     * Method to call the operation originally named creerEnlevementNational
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructCreerEnlevementNational $_chronopostStructCreerEnlevementNational
     * @return ChronopostStructCreerEnlevementNationalResponse
     */
    public function creerEnlevementNational(ChronopostStructCreerEnlevementNational $_chronopostStructCreerEnlevementNational)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->creerEnlevementNational($_chronopostStructCreerEnlevementNational));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named creerEnlevementEurope
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructCreerEnlevementEurope $_chronopostStructCreerEnlevementEurope
     * @return ChronopostStructCreerEnlevementEuropeResponse
     */
    public function creerEnlevementEurope(ChronopostStructCreerEnlevementEurope $_chronopostStructCreerEnlevementEurope)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->creerEnlevementEurope($_chronopostStructCreerEnlevementEurope));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see ChronopostWsdlClass::getResult()
     * @return ChronopostStructCreerEnlevementEuropeResponse|ChronopostStructCreerEnlevementNationalResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
