<?php
/**
 * File for class ChronopostStructCreerEnlevementEurope
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructCreerEnlevementEurope originally named creerEnlevementEurope
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructCreerEnlevementEurope extends ChronopostWsdlClass
{
    /**
     * The headerValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructHeaderValue
     */
    public $headerValue;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $password;
    /**
     * The datePassage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $datePassage;
    /**
     * The donneurDOrdre
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructDonneurDOrdre
     */
    public $donneurDOrdre;
    /**
     * The adresseEnlevement
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructAdresseEnlevementV3
     */
    public $adresseEnlevement;
    /**
     * The destinatairesEsd
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructDestinatairesDpd
     */
    public $destinatairesEsd;
    /**
     * The locale
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $locale;
    /**
     * Constructor method for creerEnlevementEurope
     * @see parent::__construct()
     * @param ChronopostStructHeaderValue $_headerValue
     * @param string $_password
     * @param dateTime $_datePassage
     * @param ChronopostStructDonneurDOrdre $_donneurDOrdre
     * @param ChronopostStructAdresseEnlevementV3 $_adresseEnlevement
     * @param ChronopostStructDestinatairesDpd $_destinatairesEsd
     * @param string $_locale
     * @return ChronopostStructCreerEnlevementEurope
     */
    public function __construct($_headerValue = NULL,$_password = NULL,$_datePassage = NULL,$_donneurDOrdre = NULL,$_adresseEnlevement = NULL,$_destinatairesEsd = NULL,$_locale = NULL)
    {
        parent::__construct(array('headerValue'=>$_headerValue,'password'=>$_password,'datePassage'=>$_datePassage,'donneurDOrdre'=>$_donneurDOrdre,'adresseEnlevement'=>$_adresseEnlevement,'destinatairesEsd'=>$_destinatairesEsd,'locale'=>$_locale),false);
    }
    /**
     * Get headerValue value
     * @return ChronopostStructHeaderValue|null
     */
    public function getHeaderValue()
    {
        return $this->headerValue;
    }
    /**
     * Set headerValue value
     * @param ChronopostStructHeaderValue $_headerValue the headerValue
     * @return ChronopostStructHeaderValue
     */
    public function setHeaderValue($_headerValue)
    {
        return ($this->headerValue = $_headerValue);
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $_password the password
     * @return string
     */
    public function setPassword($_password)
    {
        return ($this->password = $_password);
    }
    /**
     * Get datePassage value
     * @return dateTime|null
     */
    public function getDatePassage()
    {
        return $this->datePassage;
    }
    /**
     * Set datePassage value
     * @param dateTime $_datePassage the datePassage
     * @return dateTime
     */
    public function setDatePassage($_datePassage)
    {
        return ($this->datePassage = $_datePassage);
    }
    /**
     * Get donneurDOrdre value
     * @return ChronopostStructDonneurDOrdre|null
     */
    public function getDonneurDOrdre()
    {
        return $this->donneurDOrdre;
    }
    /**
     * Set donneurDOrdre value
     * @param ChronopostStructDonneurDOrdre $_donneurDOrdre the donneurDOrdre
     * @return ChronopostStructDonneurDOrdre
     */
    public function setDonneurDOrdre($_donneurDOrdre)
    {
        return ($this->donneurDOrdre = $_donneurDOrdre);
    }
    /**
     * Get adresseEnlevement value
     * @return ChronopostStructAdresseEnlevementV3|null
     */
    public function getAdresseEnlevement()
    {
        return $this->adresseEnlevement;
    }
    /**
     * Set adresseEnlevement value
     * @param ChronopostStructAdresseEnlevementV3 $_adresseEnlevement the adresseEnlevement
     * @return ChronopostStructAdresseEnlevementV3
     */
    public function setAdresseEnlevement($_adresseEnlevement)
    {
        return ($this->adresseEnlevement = $_adresseEnlevement);
    }
    /**
     * Get destinatairesEsd value
     * @return ChronopostStructDestinatairesDpd|null
     */
    public function getDestinatairesEsd()
    {
        return $this->destinatairesEsd;
    }
    /**
     * Set destinatairesEsd value
     * @param ChronopostStructDestinatairesDpd $_destinatairesEsd the destinatairesEsd
     * @return ChronopostStructDestinatairesDpd
     */
    public function setDestinatairesEsd($_destinatairesEsd)
    {
        return ($this->destinatairesEsd = $_destinatairesEsd);
    }
    /**
     * Get locale value
     * @return string|null
     */
    public function getLocale()
    {
        return $this->locale;
    }
    /**
     * Set locale value
     * @param string $_locale the locale
     * @return string
     */
    public function setLocale($_locale)
    {
        return ($this->locale = $_locale);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructCreerEnlevementEurope
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
