<?php
/**
 * File for class ChronopostStructGetReservedSkybillWithTypeAndModeAuth
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructGetReservedSkybillWithTypeAndModeAuth originally named getReservedSkybillWithTypeAndModeAuth
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructGetReservedSkybillWithTypeAndModeAuth extends ChronopostWsdlClass
{
    /**
     * The numberSearch
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $numberSearch;
    /**
     * The mode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $mode;
    /**
     * The accountNumber
     * @var int
     */
    public $accountNumber;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $password;
    /**
     * Constructor method for getReservedSkybillWithTypeAndModeAuth
     * @see parent::__construct()
     * @param string $_numberSearch
     * @param string $_mode
     * @param int $_accountNumber
     * @param string $_password
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeAuth
     */
    public function __construct($_numberSearch = NULL,$_mode = NULL,$_accountNumber = NULL,$_password = NULL)
    {
        parent::__construct(array('numberSearch'=>$_numberSearch,'mode'=>$_mode,'accountNumber'=>$_accountNumber,'password'=>$_password),false);
    }
    /**
     * Get numberSearch value
     * @return string|null
     */
    public function getNumberSearch()
    {
        return $this->numberSearch;
    }
    /**
     * Set numberSearch value
     * @param string $_numberSearch the numberSearch
     * @return string
     */
    public function setNumberSearch($_numberSearch)
    {
        return ($this->numberSearch = $_numberSearch);
    }
    /**
     * Get mode value
     * @return string|null
     */
    public function getMode()
    {
        return $this->mode;
    }
    /**
     * Set mode value
     * @param string $_mode the mode
     * @return string
     */
    public function setMode($_mode)
    {
        return ($this->mode = $_mode);
    }
    /**
     * Get accountNumber value
     * @return int|null
     */
    public function getAccountNumber()
    {
        return $this->accountNumber;
    }
    /**
     * Set accountNumber value
     * @param int $_accountNumber the accountNumber
     * @return int
     */
    public function setAccountNumber($_accountNumber)
    {
        return ($this->accountNumber = $_accountNumber);
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $_password the password
     * @return string
     */
    public function setPassword($_password)
    {
        return ($this->password = $_password);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructGetReservedSkybillWithTypeAndModeAuth
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
