<?php
/**
 * File for class ChronopostStructParticularitesColisDpd
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructParticularitesColisDpd originally named particularitesColisDpd
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructParticularitesColisDpd extends ChronopostWsdlClass
{
    /**
     * The infoDouanieres
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructInfoDouanieres
     */
    public $infoDouanieres;
    /**
     * The valeurAssuree
     * @var float
     */
    public $valeurAssuree;
    /**
     * Constructor method for particularitesColisDpd
     * @see parent::__construct()
     * @param ChronopostStructInfoDouanieres $_infoDouanieres
     * @param float $_valeurAssuree
     * @return ChronopostStructParticularitesColisDpd
     */
    public function __construct($_infoDouanieres = NULL,$_valeurAssuree = NULL)
    {
        parent::__construct(array('infoDouanieres'=>$_infoDouanieres,'valeurAssuree'=>$_valeurAssuree),false);
    }
    /**
     * Get infoDouanieres value
     * @return ChronopostStructInfoDouanieres|null
     */
    public function getInfoDouanieres()
    {
        return $this->infoDouanieres;
    }
    /**
     * Set infoDouanieres value
     * @param ChronopostStructInfoDouanieres $_infoDouanieres the infoDouanieres
     * @return ChronopostStructInfoDouanieres
     */
    public function setInfoDouanieres($_infoDouanieres)
    {
        return ($this->infoDouanieres = $_infoDouanieres);
    }
    /**
     * Get valeurAssuree value
     * @return float|null
     */
    public function getValeurAssuree()
    {
        return $this->valeurAssuree;
    }
    /**
     * Set valeurAssuree value
     * @param float $_valeurAssuree the valeurAssuree
     * @return float
     */
    public function setValeurAssuree($_valeurAssuree)
    {
        return ($this->valeurAssuree = $_valeurAssuree);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructParticularitesColisDpd
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
