<?php
/**
 * File for class ChronopostStructResultMultiParcelExpeditionValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructResultMultiParcelExpeditionValue originally named resultMultiParcelExpeditionValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructResultMultiParcelExpeditionValue extends ChronopostStructResultShippingValue
{
    /**
     * The ESDFullNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ESDFullNumber;
    /**
     * The ESDNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ESDNumber;
    /**
     * The pickupDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $pickupDate;
    /**
     * The reservationNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $reservationNumber;
    /**
     * The resultMultiParcelValue
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var ChronopostStructResultMultiParcelValue
     */
    public $resultMultiParcelValue;
    /**
     * Constructor method for resultMultiParcelExpeditionValue
     * @see parent::__construct()
     * @param string $_eSDFullNumber
     * @param string $_eSDNumber
     * @param dateTime $_pickupDate
     * @param string $_reservationNumber
     * @param ChronopostStructResultMultiParcelValue $_resultMultiParcelValue
     * @return ChronopostStructResultMultiParcelExpeditionValue
     */
    public function __construct($_eSDFullNumber = NULL,$_eSDNumber = NULL,$_pickupDate = NULL,$_reservationNumber = NULL,$_resultMultiParcelValue = NULL)
    {
        ChronopostWsdlClass::__construct(array('ESDFullNumber'=>$_eSDFullNumber,'ESDNumber'=>$_eSDNumber,'pickupDate'=>$_pickupDate,'reservationNumber'=>$_reservationNumber,'resultMultiParcelValue'=>$_resultMultiParcelValue),false);
    }
    /**
     * Get ESDFullNumber value
     * @return string|null
     */
    public function getESDFullNumber()
    {
        return $this->ESDFullNumber;
    }
    /**
     * Set ESDFullNumber value
     * @param string $_eSDFullNumber the ESDFullNumber
     * @return string
     */
    public function setESDFullNumber($_eSDFullNumber)
    {
        return ($this->ESDFullNumber = $_eSDFullNumber);
    }
    /**
     * Get ESDNumber value
     * @return string|null
     */
    public function getESDNumber()
    {
        return $this->ESDNumber;
    }
    /**
     * Set ESDNumber value
     * @param string $_eSDNumber the ESDNumber
     * @return string
     */
    public function setESDNumber($_eSDNumber)
    {
        return ($this->ESDNumber = $_eSDNumber);
    }
    /**
     * Get pickupDate value
     * @return dateTime|null
     */
    public function getPickupDate()
    {
        return $this->pickupDate;
    }
    /**
     * Set pickupDate value
     * @param dateTime $_pickupDate the pickupDate
     * @return dateTime
     */
    public function setPickupDate($_pickupDate)
    {
        return ($this->pickupDate = $_pickupDate);
    }
    /**
     * Get reservationNumber value
     * @return string|null
     */
    public function getReservationNumber()
    {
        return $this->reservationNumber;
    }
    /**
     * Set reservationNumber value
     * @param string $_reservationNumber the reservationNumber
     * @return string
     */
    public function setReservationNumber($_reservationNumber)
    {
        return ($this->reservationNumber = $_reservationNumber);
    }
    /**
     * Get resultMultiParcelValue value
     * @return ChronopostStructResultMultiParcelValue|null
     */
    public function getResultMultiParcelValue()
    {
        return $this->resultMultiParcelValue;
    }
    /**
     * Set resultMultiParcelValue value
     * @param ChronopostStructResultMultiParcelValue $_resultMultiParcelValue the resultMultiParcelValue
     * @return ChronopostStructResultMultiParcelValue
     */
    public function setResultMultiParcelValue($_resultMultiParcelValue)
    {
        return ($this->resultMultiParcelValue = $_resultMultiParcelValue);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructResultMultiParcelExpeditionValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
