<?php
/**
 * File for class ChronopostStructSkybillParamsValueV2
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructSkybillParamsValueV2 originally named skybillParamsValueV2
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructSkybillParamsValueV2 extends ChronopostStructSkybillParamsValue
{
    /**
     * The withReservation
     * @var int
     */
    public $withReservation;
    /**
     * Constructor method for skybillParamsValueV2
     * @see parent::__construct()
     * @param int $_withReservation
     * @return ChronopostStructSkybillParamsValueV2
     */
    public function __construct($_withReservation = NULL)
    {
        ChronopostWsdlClass::__construct(array('withReservation'=>$_withReservation),false);
    }
    /**
     * Get withReservation value
     * @return int|null
     */
    public function getWithReservation()
    {
        return $this->withReservation;
    }
    /**
     * Set withReservation value
     * @param int $_withReservation the withReservation
     * @return int
     */
    public function setWithReservation($_withReservation)
    {
        return ($this->withReservation = $_withReservation);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructSkybillParamsValueV2
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
