<?php

namespace Bydedi\Shipping\Chronopost\Exception;

use ChronopostServiceShipping;
use Throwable;

/**
 * Class ChronopostException
 * @package Bydedi\Shipping\Chronopost\Exception
 */
class ChronopostException extends \Exception
{
    /**
     * @var ChronopostServiceShipping
     */
    protected $chronopostServiceShipping;

    public function __construct(ChronopostServiceShipping $chronopostServiceShipping, $message = "", $code = 0, Throwable $previous = null)
    {
        $this->chronopostServiceShipping = $chronopostServiceShipping;
        parent::__construct($message, $code, $previous);
    }

    /**
     * @return ChronopostServiceShipping
     */
    public function getChronopostServiceShipping()
    {
        return $this->chronopostServiceShipping;
    }

}
